'use strict';


function AspectAnnotation($rootScope){
	this.$rootScope=$rootScope;
}
AspectAnnotation.prototype.click=function(annotationIndex){
	this.$rootScope.$emit('aspectAnnotationWasClicked', annotationIndex);
};

/**
 * @ngdoc directive
 * @name annotationAppApp.directive:aspectAnnotation
 * @description
 * # aspectAnnotation
 */
angular.module('app')
    .directive('aspectAnnotation', function () {
        return {
            restrict         : 'A',
            controller       : ['$rootScope',AspectAnnotation],
            controllerAs     : 'AspectAnnotation',
            bindToController : true
        };
    });